be.fgov.ehealth.consultrn._1_0.core

## Class StandardAddressType

- java.lang.Object
- - be.fgov.ehealth.consultrn._1_0.core.StandardAddressType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class StandardAddressType
      extends Object
      implements Serializable

  Java class for StandardAddressType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StandardAddressType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Street" type="{urn:be:fgov:ehealth:consultRN:1_0:core}StreetType" minOccurs="0"/>
               <element name="Housenumber" type="{urn:be:fgov:ehealth:consultRN:1_0:core}HousenumberType" minOccurs="0"/>
               <element name="Box" type="{urn:be:fgov:ehealth:consultRN:1_0:core}BoxType" minOccurs="0"/>
               <element name="Municipality" type="{urn:be:fgov:ehealth:consultRN:1_0:core}MunicipalityType" minOccurs="0"/>
               <element name="Country" type="{urn:be:fgov:ehealth:consultRN:1_0:core}CountryType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardAddressType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBox()` Gets the value of the box property.
    `CountryType` | `getCountry()` Gets the value of the country property.
    `String` | `getHousenumber()` Gets the value of the housenumber property.
    `MunicipalityType` | `getMunicipality()` Gets the value of the municipality property.
    `StreetType` | `getStreet()` Gets the value of the street property.
    `void` | `setBox(String value)` Sets the value of the box property.
    `void` | `setCountry(CountryType value)` Sets the value of the country property.
    `void` | `setHousenumber(String value)` Sets the value of the housenumber property.
    `void` | `setMunicipality(MunicipalityType value)` Sets the value of the municipality property.
    `void` | `setStreet(StreetType value)` Sets the value of the street property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardAddressType

          public StandardAddressType()

  - ### Method Detail

    - #### getStreet

          public StreetType getStreet()

      Gets the value of the street property.
      Returns:
        possible object is `StreetType`

    - #### setStreet

          public void setStreet(StreetType value)

      Sets the value of the street property.
      Parameters:
        `value` - allowed object is `StreetType`

    - #### getHousenumber

          public String getHousenumber()

      Gets the value of the housenumber property.
      Returns:
        possible object is `String`

    - #### setHousenumber

          public void setHousenumber(String value)

      Sets the value of the housenumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBox

          public String getBox()

      Gets the value of the box property.
      Returns:
        possible object is `String`

    - #### setBox

          public void setBox(String value)

      Sets the value of the box property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMunicipality

          public MunicipalityType getMunicipality()

      Gets the value of the municipality property.
      Returns:
        possible object is `MunicipalityType`

    - #### setMunicipality

          public void setMunicipality(MunicipalityType value)

      Sets the value of the municipality property.
      Parameters:
        `value` - allowed object is `MunicipalityType`

    - #### getCountry

          public CountryType getCountry()

      Gets the value of the country property.
      Returns:
        possible object is `CountryType`

    - #### setCountry

          public void setCountry(CountryType value)

      Sets the value of the country property.
      Parameters:
        `value` - allowed object is `CountryType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.